Subject: [PATCH net v2 0/2] Fix slab out-of-bounds on insufficient headroom for IPv6 packets

From: Stefano Brivio <[email-masked]>
Date: Thu, 6 Dec 2018 19:30:35 +0100

Patch 1/2 fixes a slab out-of-bounds occurring with short SCTP packets over
IPv4 over L2TP over IPv6 on a configuration with relatively low HEADER_MAX.

Patch 2/2 makes sure we avoid writing before the allocated buffer in
neigh_hh_output() in case the headroom is enough for the unaligned hardware
header size, but not enough for the aligned one, and that we warn if we hit
this condition.

Stefano Brivio (2):
  ipv6: Check available headroom in ip6_xmit() even without options
  neighbour: Avoid writing before skb->head in neigh_hh_output()

 include/net/neighbour.h | 28 ++++++++++++++++++++++-----
 net/ipv6/ip6_output.c   | 42 ++++++++++++++++++++---------------------
 2 files changed, 44 insertions(+), 26 deletions(-)

-- 
2.19.2